ata_tf_read_block
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_tf_read_block — Read block address from ATA taskfile

## Synopsis

`u64 ata_tf_read_block (` | struct ata_taskfile * | tf,
| struct ata_device * | dev`)`;

## Arguments

`tf`

  ATA taskfile of interest

`dev`

  ATA device `tf` belongs to

## LOCKING

None.

Read block address from `tf`. This function can handle all three address formats - LBA, LBA48 and CHS. tf->protocol and flags select the address format to use.

## RETURNS

Block address read from `tf`.

Prev | Up | Next
ata_rwcmd_protocol | Home | ata_build_rw_tf